import service from '../../utils/axios'

// 查询充值记录
export function getTopUpRecordList(data) {
    return service({
        url: '/admin/platform/topUpRecord',
        method: 'post',
        data
    })
}
// 充值
export function topUpAs(data) {
    return service({
        url: '/admin/platform/topUp',
        method: 'post',
        data
    })
}
// 获取客户列表
export function getCustomerList(data) {
    return service({
        url: '/admin/platform/customerList',
        method: 'post',
        data
    })
}
// 客户流量消耗明细
export function getSimConsumptionDetailsList(data) {
    return service({
        url: '/admin/platform/simConsumptionDetails',
        method: 'post',
        data
    })
}
// 客户流量消耗明细-详情
export function getUserSimInfo(params) {
    return service({
        url: '/admin/platform/userSimInfo',
        method: 'get',
        params
    })
}
// 客户端-账户余额卡片
export function getWalletCard(params) {
    return service({
        url: '/admin/client/walletCard',
        method: 'get',
        params
    })
}

// 客户详情
export  function  deleteMessUser(params){
    return service.get('admin/platform/customerInfo', {params})
}


// H5充值记录
export function getAdiroePuyList(data) {
  return service({
    url: '/admin/sim/payOrders',
    method: 'post',
    data
  })
}